Name:           oreo-spark-purple-cursors
Version:        0
Release:        7483f2d.1.g%{?dist}
Summary:        Oreo Spark Cursors – Purple variant

License:        GPL-3.0-or-later
URL:            https://github.com/varlesh/oreo-cursors
Source0:        https://github.com/varlesh/oreo-cursors/archive/refs/heads/master.tar.gz#/oreo-cursors-master.tar.gz

BuildArch:      noarch

BuildRequires:  ruby-devel
BuildRequires:  make
BuildRequires:  inkscape
BuildRequires:  xcursorgen

Requires:       gtk-update-icon-cache

%description
Oreo Spark Cursors with purple variant.

%prep
%autosetup -n oreo-cursors-master

# Keep only the spark_purple variant
sed -i '/^spark_purple =/!d' generator/colours.conf

%build
ruby generator/convert.rb
make build

%install
make DESTDIR=%{buildroot} install

%files
%license LICENSE
%doc README.md
/usr/share/icons/oreo_spark_purple_cursors

%changelog
* Sat Apr 19 2025 11:12 Little Owl <littleowl@athenaos.org>
- Synced with upstream
